pydo.genai.get_agent_usage()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.genai.get_agent_usage(
    uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    start=None,
    stop=None,
)
Returns JSONRaises HttpResponseError

Description

To get agent usage, send a GET request to /v2/gen-ai/agents/{uuid}/usage. Returns usage metrics for the specified agent within the provided time range.

Parameters

uuid string required

Agent id

start string optional

Return all usage data from this date.

stop string optional

Return all usage data up to this date, if omitted, will return up to the current date.

Response Example

Show Response Example
{
  "log_insights_usage": {
    "measurements": [],
    "resource_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "start": "2023-01-01T00:00:00Z",
    "stop": "2023-01-01T00:00:00Z"
  },
  "usage": {
    "measurements": [],
    "resource_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "start": "2023-01-01T00:00:00Z",
    "stop": "2023-01-01T00:00:00Z"
  }
}

More Information

See /v2/gen-ai/agents/{uuid}/usage in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.